## golang-github-gkampitakis-go-snaps 0.5.16

=== Makefile ===
.PHONY: install-tools lint test test-verbose format help	

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

install-tools: ## Install linting tools
	go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
	go install mvdan.cc/gofumpt@latest
	go install github.com/segmentio/golines@latest

lint: ## Run golangci linter
	golangci-lint run ./...

format: ## Format code
	gofumpt -l -w -extra .
	golines . -w

test: ## Run tests
	go test -race -count=10 -shuffle on -cover ./...

test-verbose: ## Run tests with verbose output
	go test -race -count=10 -shuffle on -v -cover ./...

test-trimpath: ## Run tests with -trimpath
	GOFLAGS=-trimpath go test -race -count=10 -shuffle on -v -cover ./examples

=== debian/changelog ===
golang-github-gkampitakis-go-snaps (0.5.16-2) unstable; urgency=medium

  * Add license and copyright info for internal/difflib/difflib.go

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 12 Feb 2026 20:54:40 +0100

golang-github-gkampitakis-go-snaps (0.5.16-1) unstable; urgency=medium

  * Initial release (Closes: #1121461)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 26 Nov 2025 21:32:09 +0100

=== debian/control ===
Source: golang-github-gkampitakis-go-snaps
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-gkampitakis-ciinfo-dev,
               golang-github-goccy-go-yaml-dev,
               golang-github-kr-pretty-dev,
               golang-github-maruel-natural-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-tidwall-gjson-dev,
               golang-github-tidwall-pretty-dev,
               golang-github-tidwall-sjson-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gkampitakis-go-snaps
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gkampitakis-go-snaps.git
Homepage: https://github.com/gkampitakis/go-snaps
XS-Go-Import-Path: github.com/gkampitakis/go-snaps

Package: golang-github-gkampitakis-go-snaps-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-gkampitakis-ciinfo-dev,
         golang-github-goccy-go-yaml-dev,
         golang-github-kr-pretty-dev,
         golang-github-maruel-natural-dev,
         golang-github-sergi-go-diff-dev,
         golang-github-tidwall-gjson-dev,
         golang-github-tidwall-pretty-dev,
         golang-github-tidwall-sjson-dev,
         ${misc:Depends},
Description: jest-like snapshot testing in Go (library)
 The library enables jest-like snapshot testing for Golang.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples
export DH_GOLANG_INSTALL_EXTRA := snaps/__snapshots__/*

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# The snapshots are installed as executables, so fix the mode
execute_after_dh_fixperms:
	chmod 0644 $(CURDIR)/debian/golang-github-gkampitakis-go-snaps-dev/usr/share/gocode/src/github.com/gkampitakis/go-snaps/snaps/__snapshots__/*.snap

=== debian/watch ===
Version: 5

Template: Github
Owner: gkampitakis
Project: go-snaps
